/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model;

import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.ManyToMany;

@Entity
public class Konto {

	@Id @GeneratedValue 
	private Integer kontonummer;
	@Column(precision = 10, scale = 2)
	private BigDecimal kontostand;
	
	
	@ManyToMany(mappedBy ="konten", cascade = CascadeType.PERSIST)
	private Set<Kunde> kunden;
	
	public Konto() {
		kontostand = BigDecimal.ZERO.setScale(2);
		kunden = new HashSet<Kunde>();
	}

	
	public void addKunde() {
		
	}
	
	// Getter und Setter
	public Integer getKontonummer() {
		return kontonummer;
	}

	public BigDecimal getKontostand() {
		return kontostand;
	}
	public void setKontostand(BigDecimal kontostand) {
		this.kontostand = kontostand;
	}


	public Set<Kunde> getKunden() {
		return kunden;
	}


	public void setKunden(Set<Kunde> kunden) {
		this.kunden = kunden;
	}


	
}
